------------------------------------------------------------------------
r231953 | agabasch | 2018-11-14 09:17:06 +0100 (Wed, 14 Nov 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp

external hdrl version increased to 1.2.0


------------------------------------------------------------------------
r231415 | agabasch | 2018-11-06 11:54:31 +0100 (Tue, 06 Nov 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/autogen.sh
   M /trunk/Pipelines/amber/amberp/bootstrap
   A /trunk/Pipelines/common/hdrl/autogen.sh
   M /trunk/Pipelines/common/hdrl/bootstrap
   A /trunk/Pipelines/esotk/esotkp/autogen.sh
   M /trunk/Pipelines/esotk/esotkp/bootstrap
   M /trunk/Pipelines/hawki/hawkip/autogen.sh
   M /trunk/Pipelines/hawki/hawkip/bootstrap
   A /trunk/Pipelines/hdrldemo/hdrldemop/autogen.sh
   M /trunk/Pipelines/hdrldemo/hdrldemop/bootstrap
   M /trunk/Pipelines/iiinstrument/iiinstrumentp/bootstrap
   M /trunk/Pipelines/matisse/matissep/autogen.sh
   M /trunk/Pipelines/matisse/matissep/bootstrap
   M /trunk/Pipelines/midi/midip/autogen.sh
   M /trunk/Pipelines/midi/midip/bootstrap
   M /trunk/Pipelines/omega/omegap/autogen.sh
   M /trunk/Pipelines/omega/omegap/bootstrap
   M /trunk/Pipelines/pioni/pionip/autogen.sh
   M /trunk/Pipelines/pioni/pionip/bootstrap
   A /trunk/Pipelines/vcam/vcamp/autogen.sh
   M /trunk/Pipelines/vcam/vcamp/bootstrap

bootstrap and autgen.sh content aligned in all my pipelines


------------------------------------------------------------------------
r225653 | agabasch | 2018-07-20 13:31:05 +0200 (Fri, 20 Jul 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberc/gasgano/AMBER.prefs
   M /trunk/Pipelines/amber/amberc/oca/amber.properties
   M /trunk/Pipelines/amber/amberc/pso-releasenotes.txt
   M /trunk/Pipelines/amber/amberp/configure.ac

update to version 4.3.9 as 4.3.8 was tagged


------------------------------------------------------------------------
r225651 | agabasch | 2018-07-20 13:07:51 +0200 (Fri, 20 Jul 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/Makefile.am
   M /trunk/Pipelines/amber/amberp/configure.ac

hdrl added to the build system


------------------------------------------------------------------------
r225648 | agabasch | 2018-07-20 12:52:52 +0200 (Fri, 20 Jul 2018) | 2 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp

hdrl added as external

------------------------------------------------------------------------
r213926 | agabasch | 2018-01-02 09:20:02 +0100 (Tue, 02 Jan 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/NEWS

update


------------------------------------------------------------------------
r213925 | agabasch | 2018-01-02 09:14:56 +0100 (Tue, 02 Jan 2018) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/ChangeLog

update


------------------------------------------------------------------------
r213491 | agabasch | 2017-12-19 09:39:41 +0100 (Tue, 19 Dec 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberc/gasgano/AMBER.prefs
   M /trunk/Pipelines/amber/amberc/oca/amber.properties
   M /trunk/Pipelines/amber/amberc/pso-releasenotes.txt
   M /trunk/Pipelines/amber/amberp/configure.ac

update to version 4.3.8


------------------------------------------------------------------------
r203325 | agabasch | 2017-05-29 16:19:09 +0200 (Mon, 29 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/amdrs.h

include amberSupport.h removed


------------------------------------------------------------------------
r203184 | agabasch | 2017-05-24 13:07:05 +0200 (Wed, 24 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/amdmsCalibration.c

compiler warnings fixed


------------------------------------------------------------------------
r203183 | agabasch | 2017-05-24 13:01:58 +0200 (Wed, 24 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/amdmsProperties.c

compiler warnings fixed


------------------------------------------------------------------------
r203167 | agabasch | 2017-05-24 10:04:55 +0200 (Wed, 24 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/recipes/amber_SciCal.c

compiler warning fixed


------------------------------------------------------------------------
r203165 | agabasch | 2017-05-24 09:56:07 +0200 (Wed, 24 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/recipes/amber_BeamPos.c

compiler warning fixed


------------------------------------------------------------------------
r203163 | agabasch | 2017-05-24 09:49:59 +0200 (Wed, 24 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/amber_qc.c

compiler warning fixed: set but not used variable


------------------------------------------------------------------------
r203161 | agabasch | 2017-05-24 09:21:48 +0200 (Wed, 24 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/Makefile.am

amberSupport.? removed as function inside were never used


------------------------------------------------------------------------
r203137 | agabasch | 2017-05-23 16:36:02 +0200 (Tue, 23 May 2017) | 2 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/amdms.h
   M /trunk/Pipelines/amber/amberp/amber/amdmsCommon.c

compiler warnings fixed - mainly dealing with "const char *"

------------------------------------------------------------------------
r203118 | agabasch | 2017-05-23 13:11:50 +0200 (Tue, 23 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/esolibSelector.c

compiler waring removed - mainly unused variables


------------------------------------------------------------------------
r203113 | agabasch | 2017-05-23 11:47:22 +0200 (Tue, 23 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/amdmsFit.c

introduced error by previous commit fixed - commit has been reverted


------------------------------------------------------------------------
r203110 | agabasch | 2017-05-23 11:36:18 +0200 (Tue, 23 May 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/amdmsFit.c

compiler warnings fixed
------------------------------------------------------------------------
r203107 | agabasch | 2017-05-23 11:28:47 +0200 (Tue, 23 May 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/amdmsFit.c

compiler warnings fixed: double *ye
------------------------------------------------------------------------
r203106 | agabasch | 2017-05-23 11:22:14 +0200 (Tue, 23 May 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/amdmsFit.c

compiler warnings fixed: double *ye
------------------------------------------------------------------------
r203105 | agabasch | 2017-05-23 11:16:10 +0200 (Tue, 23 May 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/amber/amberp/amber/amdlibYorick.c
   M /trunk/Pipelines/amber/amberp/amber/amdlibYorick.h

compiler warnings fixed
------------------------------------------------------------------------
r203096 | agabasch | 2017-05-23 09:55:56 +0200 (Tue, 23 May 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/amber/amberp/recipes/amber_SciCal.c

compiler warnings fixed
------------------------------------------------------------------------
r203095 | agabasch | 2017-05-23 09:50:31 +0200 (Tue, 23 May 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/amber/amberp/recipes/amber_BeamPos.c
   M /trunk/Pipelines/amber/amberp/recipes/amber_SciCal.c
   M /trunk/Pipelines/amber/amberp/recipes/amber_detector.c
   M /trunk/Pipelines/amber/amberp/recipes/amber_p2vm.c

compiler warnings fixed
------------------------------------------------------------------------
r203094 | agabasch | 2017-05-23 09:12:10 +0200 (Tue, 23 May 2017) | 4 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/recipes/amber_ascii_export.c

compiler warning fixed mainly be removing unused functions and
variables


------------------------------------------------------------------------
r203093 | agabasch | 2017-05-23 08:57:22 +0200 (Tue, 23 May 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/recipes/amber_BeamPos.c

compiler warning fixed and two unused functions removed


------------------------------------------------------------------------
r196742 | agabasch | 2017-02-10 14:43:17 +0100 (Fri, 10 Feb 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/amber/amberp/ChangeLog

updated
------------------------------------------------------------------------
r195991 | agabasch | 2017-01-27 15:51:26 +0100 (Fri, 27 Jan 2017) | 1 line
Changed paths:
   M /trunk/Pipelines/amber/amberc/gasgano/AMBER.prefs
   M /trunk/Pipelines/amber/amberc/oca/amber.properties
   M /trunk/Pipelines/amber/amberp/configure.ac

pipeline version number increased
------------------------------------------------------------------------
r195403 | agabasch | 2017-01-13 09:42:13 +0100 (Fri, 13 Jan 2017) | 2 lines
Changed paths:
   M /trunk/Pipelines/amber/amberc/gasgano/AMBER.prefs
   M /trunk/Pipelines/amber/amberc/oca/amber.properties
   M /trunk/Pipelines/amber/amberp/configure.ac
   M /trunk/Pipelines/hawki/hawkic/gasgano/HAWKI.prefs
   M /trunk/Pipelines/hawki/hawkic/oca/hawki.properties
   M /trunk/Pipelines/hawki/hawkip/configure.ac
   M /trunk/Pipelines/midi/midic/gasgano/MIDI.prefs
   M /trunk/Pipelines/midi/midic/oca/midi.properties
   M /trunk/Pipelines/midi/midip/configure.ac
   M /trunk/Pipelines/omega/omegac/gasgano/OMEGA.prefs
   M /trunk/Pipelines/omega/omegac/oca/omega.properties
   M /trunk/Pipelines/omega/omegap/configure.ac
   M /trunk/Pipelines/pioni/pionic/oca/pioni.properties
   M /trunk/Pipelines/pioni/pionip/configure.ac
   M /trunk/Pipelines/vcam/vcamc/gasgano/VCAM.prefs
   M /trunk/Pipelines/vcam/vcamc/oca/vcam.properties
   M /trunk/Pipelines/vcam/vcamp/configure.ac

increasing version number for new kit rpm creation

------------------------------------------------------------------------
r195153 | agabasch | 2017-01-04 15:29:21 +0100 (Wed, 04 Jan 2017) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp
   M /trunk/Pipelines/midi/midip
   M /trunk/Pipelines/omega/omegap
   M /trunk/Pipelines/vcam/vcamp

common m4macro directory added as external


------------------------------------------------------------------------
r195152 | agabasch | 2017-01-04 15:15:31 +0100 (Wed, 04 Jan 2017) | 4 lines
Changed paths:
   D /trunk/Pipelines/amber/amberp/m4macros
   D /trunk/Pipelines/midi/midip/m4macros
   D /trunk/Pipelines/omega/omegap/m4macros
   D /trunk/Pipelines/vcam/vcamp/m4macros

m4macro directory removed as it will be replaced by the common
pipeline m4macro directory


------------------------------------------------------------------------
r188032 | agabasch | 2016-06-27 14:05:45 +0200 (Mon, 27 Jun 2016) | 3 lines
Changed paths:
   D /trunk/Pipelines/amber/amberp/Makefile.purify.in
   M /trunk/Pipelines/amber/amberp/configure.ac
   D /trunk/Pipelines/amber/amberp/m4macros/purify.m4

purify removed as it has become obsolete


------------------------------------------------------------------------
r182593 | agabasch | 2016-02-05 11:57:50 +0100 (Fri, 05 Feb 2016) | 1 line
Changed paths:
   M /trunk/Pipelines/amber/amberc/gasgano/AMBER.prefs
   M /trunk/Pipelines/amber/amberp/configure.ac

pipeline version number upgraded
------------------------------------------------------------------------
r182325 | agabasch | 2016-02-01 14:36:37 +0100 (Mon, 01 Feb 2016) | 3 lines
Changed paths:
   M /trunk/Pipelines/amber/amberp/ChangeLog

updated


------------------------------------------------------------------------
r182296 | agabasch | 2016-02-01 10:34:45 CET
Changed paths:
	M /trunk/Pipelines/amber/amberp/configure.ac

4.3.3 -> 4.3.4
----------------------------------------------------------------------------
r181067 | agabasch | 2015-12-17 16:29:35 CET
Changed paths:
	M /trunk/Pipelines/amber/amberp/recipes/amber_SciCal.c

recipe parameter of CPL_TYPE_DOUBLE properly initialized with "0.0" -
was only "0"


----------------------------------------------------------------------------
r180969 | agabasch | 2015-12-16 11:51:12 CET
Changed paths:
	M /trunk/Pipelines/amber/amberp/recipes/amber_detector.c
	M /trunk/Pipelines/amber/amberp/configure.ac
	M /trunk/Pipelines/amber/amberp/recipes/amber_ascii_export.c

compiler warning implicit-function-declaration turned into an error
and related bugs fixed in the code.


----------------------------------------------------------------------------
r179364 | agabasch | 2015-10-22 14:16:26 CEST
Changed paths:
	M /trunk/Pipelines/amber/amberp/autogen.sh

-f option added


----------------------------------------------------------------------------
r179342 | agabasch | 2015-10-22 09:50:47 CEST
Changed paths:
	M /trunk/Pipelines/amber/amberp/acinclude.m4
	A /trunk/Pipelines/amber/amberp/admin/doxygen.am
	M /trunk/Pipelines/amber/amberp/doxygen/Doxyfile.in
	M /trunk/Pipelines/amber/amberp/autogen.sh
	M /trunk/Pipelines/amber/amberp/Makefile.am
	D /trunk/Pipelines/amber/amberp/admin/html.am

A) Doxygen generation target changed from make html to make doxygen as
   make html is an automatic target already defined by the autotools.
   The html directory is also moved from ./html to doxygen/html

B) bootstrap is now replaced by a simple autoreconf call


----------------------------------------------------------------------------
r170375 | agabasch | 2015-02-19 10:53:54 CET
Changed paths:
	M /trunk/Pipelines/amber/amberp/ChangeLog

Changelog updated
----------------------------------------------------------------------------
2014-11-04 15:05:19 CET  agabasch

	4.3.2 -> 4.3.3

2014-10-20 13:06:23 CEST  agabasch

	Deprecated functions related to cpl_frameset replaced by the iterator
	structure. Deprecated median filtering functions replaced by new
	filtering functions
	
	

2014-08-28 16:23:20 CEST  agabasch

	The amber_check_oiconsistency() function has been changed in order not
	 to check for the AMBER_DATA extension.  USD asked to remove this
	 check in order to be able to run it on oifitsfiles averaged with the
	 amdlib functions - in this case this extencion is missing
	
	
	

2014-08-22 11:41:22 CEST  agabasch

	Recipe parameter AverageFrames added to amber_selector. If activated,
	all frames are averaged before writing down the product
	
	

2014-02-20 11:51:43 CET  agabasch

	4.3.1 -> 4.3.2
	
	

2014-02-18 17:02:22 CET  agabasch

	Changelog updated
	


2013-12-09 13:56:35 CET  agabasch

	unused function amdrs_error_alert() removed - see also Ticket
	PIPE-4730
	
	

2013-12-09 10:48:59 CET  agabasch

	Unused Recipe parameters amber.amber_BeamPos.str_option and
	amber.amber_BeamPos.int_binning removed from the amber_BeamPos recipe.
	See also ticket PIPE-4847
	
	

2013-12-02 15:41:37 CET  agabasch

	4.3.0 -> 4.3.1

2013-12-02 11:46:41 CET  agabasch

	
	4.2.3 -> 4.3.0
	

2013-12-02 10:57:52 CET  agabasch

	Changelog update
	
2013-11-12 09:13:22 CET  agabasch

	Recipe updated - the recipe now creates two products withe the
	pro.catg AMBER_RAW_CUBE and AMBER_RAW_SUM, the first beeing a cube
	and the second the sum of the cube. Morover, the automatic
	triggering of the recipe is/has to be removed from the oca files.

2013-10-26 17:50:40 CEST  mpruemm

	Create proper structure.

2013-09-19 09:56:57 CEST  agabasch

	CPL_LDFLAGS passed to the linker via AM_LDFLAGS variable - fixes a
	build problem on ubuntu 13.04
	

2013-09-18 16:46:17 CEST  agabasch

	deprecated variable INCLUDES replaced by AM_CPPFLAGS
	

2013-09-16 17:04:04 CEST  agabasch

	PIPE-4721: Fixed. The Makefile.am used by AMBER no longer
	overwrites a user defined CPPFLAGS variable
	

2013-09-16 16:56:43 CEST  agabasch

	PIPE-4720: Fixed.  cpl_message_*() calls with a format string that
	is not a literal have been replaced
	

2013-09-16 15:48:31 CEST  agabasch

	PIPE-4719: cpl libraries added to the recipe.so and test program
	

2013-03-05 10:41:19 CET  agabasch

	4.2.2 -> 4.2.3
	

2013-02-26 16:43:45 CET  agabasch

	AM_CONFIG_HEADER replaced by AC_CONFIG_HEADERS
	

2013-02-26 16:11:09 CET  agabasch

	check for cfitsio and fftw version aligned with cpl-6_3
	

2013-02-26 11:02:34 CET  agabasch

	macro replaced by the cpl-6_3 version
	

2013-02-25 14:11:41 CET  agabasch

	Bug in amdlib corrected: memset is not done properly in
	amdlibSumAndPackData(). Not all the result and sigma2Result array
	was properly set to zero.
	

2013-01-07 14:10:13 CET  agabasch

	 author name added to AUTHORS file
	

2012-11-13 16:11:24 CET  agabasch

	4.2.1 -> 4.2.2
	

2012-11-08 08:39:36 CET  agabasch

	4.2.0 -> 4.2.1
	

2012-11-08 08:36:56 CET  agabasch

	Segmentation fault in amdlib (amdlibSpectralCalibration.c) fixed.
	The routine returns if the offset value is larger then 10 pixels
	freeing the noise and spectrum pointer. The latter two were
	already freed before causing the segfault
	

2012-11-07 10:06:08 CET  agabasch

	recipe description added
	

2012-11-06 14:50:16 CET  agabasch

	4.1.3 -> 4.2.0
	

2012-11-05 16:38:46 CET  agabasch

	amber_spectral_calibration recipe added
	

2012-11-05 16:29:20 CET  agabasch

	code cleaning - more messages added
	

2012-11-05 16:13:45 CET  agabasch

	code cleaning - more messages added
	

2012-11-05 15:45:11 CET  agabasch

	New recipe prototype following ticket [DFS12326]. The recipe
	calculates the spectral calibration in the 3 telescope mode the
	same way as done by the recipe amber_p2vm
	

2012-05-07 10:46:30 CEST  agabasch

	4.1.2 -> 4.1.3
	

2012-05-04 11:42:04 CEST  agabasch

	recipes reinstantiated with amber version 4.1.2
	

2012-04-16 15:29:14 CEST  agabasch

	minimal required version number in the library-checks added
	

2012-03-16 14:09:47 CET  agabasch

	4.1.1 -> 4.1.2
	

2012-03-15 10:10:53 CET  agabasch

	update


Fri Mar 09 14:06:11 CET 2012	agabasch

	replaced with the one from the cpl repository: cpl-6_0b2

	eso.m4 1.4
	cpl.m4 1.11

Wed Mar 07 10:05:13 CET 2012	agabasch

	logging into file amdlib_SciCal.log deactivated as redirection
	standard out to the file redirected also the cpl_msg_info output
	since cpl version 6

	amber_SciCal.c 1.48

Wed Mar 07 09:59:19 CET 2012	agabasch

	logging into file amdlib_p2vm.log deactivated as redirection
	standard out to the file redirected also the cpl_msg_info output
	since cpl version 6

	amber_p2vm.c 1.24

Tue Feb 28 11:55:42 CET 2012	agabasch

	DFS11440 ticket fixed: lambda-min and lambda-max were inverted for
	medium resolution as the wavelength vector changes from ascending
	to descending

	amber_qc.c 1.18

Thu Feb 09 10:57:34 CET 2012	agabasch

	4.1.0 -> 4.1.1

	configure.ac 1.42

Thu Feb 09 10:49:20 CET 2012	agabasch

	Update

	ChangeLog 1.48

Wed Feb 08 14:36:59 CET 2012	agabasch

	DFS Ticket number DFS11333 has been implemented. A new products
	with PRO CATG = "PVM_QC" is now written by the recipe. It contains
	all the QC parameter of the p2vm file as well as 2 additional
	parameters related to the wavelength coverage: HIERARCH ESO QC
	P2VM LAMBDA MIN and HIERARCH ESO QC P2VM LAMBDA MAX The two value
	give the valid minimum and maximum of the covered wavelenth range.

	amber_p2vm.c 1.23

Tue Jan 31 10:17:43 CET 2012	agabasch

	bugfix for QC of the spectrum: check ion spectrum->nbTels>1 was
	wrong - has to be pectrum->nbTels>2 to check if there is one ore 3
	baselines

	amber_qc.c 1.17

Tue Jan 31 09:37:09 CET 2012	agabasch

	check added to the loop of amber_qc_average_spectrum()

	amber_qc.c 1.16

Mon Jan 30 14:56:46 CET 2012	agabasch

	Ticket DFS11277 implemented. New QC parameters
	ESO.QC.SPECTRUM.CEN.TEL1/2/3 added. The qc parameter report the
	average spectrum in the central bin of the telescopes

	amber_SciCal.c 1.47
	esolibTransferfunction.c 1.48
	esolibSelector.c 1.25
	esolibCalibVis.c 1.23
	amber_qc.h 1.7
	amber_qc.c 1.15

Mon Jan 30 12:07:37 CET 2012	agabasch

	M_PI added to get rid of warnings

	amber_qc.h 1.6

Fri Jan 27 14:30:33 CET 2012	agabasch

	4.0.3 -> 4.1.0

	configure.ac 1.41

Mon Jan 23 08:25:01 CET 2012	agabasch

	replaced with the one from the cpl repository: head: 1.46

	cpl.m4 1.10

Fri Jan 20 14:07:46 CET 2012	agabasch

	DFS11262 addressed: pipeline products are not anymore copied to
	/tmp

	amber_SciCal.c 1.46
	esolibSelector.c 1.24

Wed Jan 18 10:07:11 CET 2012	agabasch

	check for cext (CPL_CHECK_CEXT) library removed

	configure.ac 1.40

Wed Jan 18 10:03:18 CET 2012	agabasch

	replaced with the one from the cpl repository: head: 1.43

	cpl.m4 1.9

Tue Jan 17 13:15:38 CET 2012	agabasch

	valgrind check added. Can be triggered by <make valgrind>

	Makefile.am 1.19

Thu Jan 12 13:14:35 CET 2012	agabasch

	replaced with the one from the cpl repository: head: 1.3

	eso.m4 1.3

Mon Jan 09 15:16:05 CET 2012	agabasch

	replaced with the one from the cpl repository: head: 1.2

	eso.m4 1.2

Mon Jan 09 15:15:43 CET 2012	agabasch

	replaced with the one from the cpl repository: head: 1.41

	cpl.m4 1.8

Mon Jan 09 15:01:22 CET 2012	agabasch

	update

	ChangeLog 1.47

Mon Jan 09 13:59:14 CET 2012	agabasch

	configure options changed and CFITSIODIR/CC check removed

	setup 1.8

Tue Dec 13 15:26:06 CET 2011	agabasch

	old scripts removed

	Makefile.am 1.3

Mon Dec 05 13:44:57 CET 2011	agabasch

	bugfix in plt_spectrum_vs_wavelength. This fix takes into account
	that for a merged file the wavelenth vector could have a different
	length then the one stored in the oi_waveband extension

	amber_plot_OI_FITS.py 1.2

Fri Dec 02 13:06:52 CET 2011	agabasch

	refurbished

	Amber_Calib_Science.xml 1.23

Thu Dec 01 15:24:41 CET 2011	agabasch

	First prototype of a python based plotting routine for Amber
	oi-fits files.

	amber_plot_OI_FITS.py 1.1

Tue Nov 22 13:19:46 CET 2011	agabasch

	4.0.2 -> 4.0.3

	configure.ac 1.39

Tue Nov 22 13:12:18 CET 2011	agabasch

	update

	ChangeLog 1.46

Tue Nov 22 12:34:01 CET 2011	agabasch

	amber_JMMC_acknowledgement() changed as amdlib has problems in
	reading multiple occurences of " -- " in a COMMENT

	amber_dfs.c 1.9

Fri Oct 28 10:44:23 CEST 2011	llundin

	Fix INSTR name

	Makefile.am 1.4

Tue Oct 11 09:32:58 CEST 2011	agabasch

	4.0.1 -> 4.0.2

	configure.ac 1.38

Fri Oct 07 15:09:13 CEST 2011	agabasch

	update

	ChangeLog 1.45

Fri Oct 07 13:34:10 CEST 2011	agabasch

	Adding the JMMC acknowledgements to the product(s)

	esolibTransferfunction.c 1.47

Fri Oct 07 13:17:32 CEST 2011	agabasch

	Adding the JMMC acknowledgements to the product(s)

	amber_oimerge.c 1.23

Fri Oct 07 13:06:56 CEST 2011	agabasch

	Adding the JMMC acknowledgements to the product(s)

	esolibCalibVis.c 1.22

Fri Oct 07 12:36:40 CEST 2011	agabasch

	Adding the JMMC acknowledgements to the product(s)

	amber_SciCal.c 1.45

Fri Oct 07 12:36:03 CEST 2011	agabasch

	Empty COMMENT in function amber_JMMC_acknowledgement() has been
	replaced by " -- " as there was a conflict with the amdlib
	functions

	amber_dfs.c 1.8

Fri Oct 07 11:44:20 CEST 2011	agabasch

	Adding the JMMC acknowledgements to the product(s)

	esolibSelector.c 1.23

Fri Oct 07 11:02:53 CEST 2011	agabasch

	Adding the JMMC acknowledgements to the product(s)

	amber_p2vm.c 1.22

Fri Oct 07 10:58:33 CEST 2011	agabasch

	Adding the JMMC acknowledgements to the product(s)

	amber_BeamPos.c 1.19

Fri Oct 07 09:58:06 CEST 2011	agabasch

	"\" letter has to be commented out when writing it in
	amber_JMMC_acknowledgement(). Fixed

	amber_dfs.c 1.7

Thu Oct 06 15:47:47 CEST 2011	agabasch

	new function amber_JMMC_acknowledgement() added. The function
	writes the JMMC acknowledgement to a propertylist

	amber_dfs.h 1.3
	amber_dfs.c 1.6

Tue Sep 27 09:03:25 CEST 2011	agabasch

	update to amdlib303

	Makefile.am 1.19
	amdlibProtected.h 1.7
	amdlibPiston.c 1.7
	amdlibPerformFrameSelection.c 1.6
	amdlibP2vmData.c 1.7
	amdlibP2vm.c 1.7
	amdlibOiStructures.c 1.7
	amdlibOi.c 1.7
	amdlibMultiDimArray.c 1.7
	amdlibMisc.c 1.6
	amdlibMergeP2vm.c 1.7
	amdlibMatrix.c 1.7
	amdlibLog.c 1.6
	amdlibInsCfg.c 1.7
	amdlibImagingDetector.c 1.7
	amdlibImagingData.c 1.7
	amdlibFrameSelection.c 1.6
	amdlibFlatField.c 1.7
	amdlibEsoUtils.c 1.4
	amdlibDate.c 1.7
	amdlibDark.c 1.4
	amdlibComputeSpectralCalibration.c 1.7
	amdlibComputeP2vm.c 1.7
	amdlibComputeOiData.c 1.6
	amdlibClosurePhases.c 1.7
	amdlibCalibrateRawData.c 1.7
	amdlibBtbl2Fits.c 1.7
	amdlibBadPixels.c 1.7
	amdlibArrayGeometry.c 1.7
	amdlibAppendOiData.c 1.6
	amdlib.h 1.7
	amdlibYorick.h 1.7
	amdlibYorick.c 1.7
	amdlibWaveData.c 1.7
	amdlibVisibilities.c 1.7
	amdlibVersion.h 1.1
	amdlibUtils.c 1.7
	amdlibString.c 1.7
	amdlibSpectrum.c 1.6
	amdlibSpectralCalibrationData.c 1.7
	amdlibSpectralCalibration.c 1.7
	amdlibShift.c 1.7
	amdlibScienceData.c 1.7
	amdlibRegion.c 1.7
	amdlibRefSpectrum.c 1.7
	amdlibRawData.c 1.7

Tue Sep 27 09:00:53 CEST 2011	agabasch

	4.0.0 -> 4.0.1

	configure.ac 1.37

Mon Sep 26 15:30:45 CEST 2011	agabasch

	QC value "ESO QC USEDVALUE ANDselection" replaced by "ESO QC
	USEDVALUE AND" to make it DFS complient (DFS10669)

	esolibSelector.c 1.22

Mon Sep 26 15:20:08 CEST 2011	agabasch

	paf file removed writing removed. paf files are written by the pkd
	mechanism

	amber_detector.c 1.15
	amber_BeamPos.c 1.18
	giqclog.c 1.5
	esolibTransferfunction.c 1.46
	esolibSelector.c 1.21
	esolibCalibVis.c 1.21

Mon Sep 26 14:54:05 CEST 2011	agabasch

	re - update to amdlib30

	configure.ac 1.36
	Makefile.am 1.8
	setup 1.7
	amber_OI_FITS_plot_closurephase.prg 1.4
	amber_OI_FITS_plot.prg 1.6
	Amber_Calib_Science.xml 1.22
	amber_trf.c 1.11
	amber_selector.c 1.53
	amber_raw_to_fitsimage.c 1.16
	amber_p2vm.c 1.21
	amber_divider.c 1.8
	amber_detector.c 1.14
	amber_ascii_export.c 1.8
	amber_SciCal.c 1.44
	amber_BeamPos.c 1.17
	Makefile.am 1.9
	amber_OI_FITS_plot.prg 1.6
	cpl.m4 1.7
	giqclog.h 1.3
	giqclog.c 1.4
	gipaf.h 1.4
	gipaf.c 1.4
	esolibamdlibOi.c 1.5
	esolibTransferfunction.c 1.45
	esolibSelector.c 1.20
	esolibCalibVis.c 1.20
	amdlibYorick.h 1.6
	amdlibYorick.c 1.6
	amdlibWaveData.c 1.6
	amdlibVisibilities.c 1.6
	amdlibUtils.c 1.6
	amdlibString.c 1.6
	amdlibSpectrum.c 1.5
	amdlibSpectralCalibrationData.c 1.6
	amdlibSpectralCalibration.c 1.6
	amdlibShift.c 1.6
	amdlibScienceData.c 1.6
	amdlibRegion.c 1.6
	amdlibRefSpectrum.c 1.6
	amdlibRawData.c 1.6
	amdlibProtected.h 1.6
	amdlibPiston.c 1.6
	amdlibPerformFrameSelection.c 1.5
	amdlibP2vmData.c 1.6
	amdlibP2vm.c 1.6
	amdlibOiStructures.c 1.6
	amdlibOi.c 1.6
	amdlibMultiDimArray.c 1.6
	amdlibMisc.c 1.5
	amdlibMergeP2vm.c 1.6
	amdlibMatrix.c 1.6
	amdlibLog.c 1.5
	amdlibInsCfg.c 1.6
	amdlibImagingDetector.c 1.6
	amdlibImagingData.c 1.6
	amdlibFrameSelection.c 1.5
	amdlibFlatField.c 1.6
	amdlibDate.c 1.6
	amdlibComputeSpectralCalibration.c 1.6
	amdlibComputeP2vm.c 1.6
	amdlibComputeOiData.c 1.5
	amdlibClosurePhases.c 1.6
	amdlibCalibrateRawData.c 1.6
	amdlibBtbl2Fits.c 1.6
	amdlibBadPixels.c 1.6
	amdlibArrayGeometry.c 1.6
	amdlibAppendOiData.c 1.5
	amdlib.h 1.6
	Makefile.am 1.18

Mon Sep 26 14:52:24 CEST 2011	agabasch

	update to amdlib30

	amdlibDark.c 1.3
	amdlibEsoUtils.c 1.3

Current Release: amber-3.3.0
=========================================
Date       Ticket   Description
---------- -------- -----------

2011/01/24 DFS09425 problem with amber_selector recipe when a file has
                    only 1 frame: A new check for OI consistency has been
                    added (function amber_check_oiconsistency). If in a
                    oi-fitsfile not all extension are present the merging
                    process should not take this file into account. This
                    prevents that the different tables in the merged file
                    are out of sync.


16/12/2009 DFS07420 AMBER transfer function monitoring: Implemented (see
                    memo in the ticked for more details)

Release: amber-3.0.1
	=========================================
Date       Ticket   Description
---------- -------- -----------
2009-07-28 DFS09135 add a QC parameters, std deviation of the Vis
	            spectrum: The standard deviation of the squared
	            visibilities with respect to the frames (and averaged
	            over the various wavelength bins) for all wavelength
	            bins is calculated and added as QC parameter. The name
	            of the QC parameter is the same as described in ticket
	            DFS08182 and DFS07075 but with "STDEV" added to the
	            string, e.g.: "QC CALV2 BIN3 BAS3 STDEV"


Release: amber-3.0.0
=========================================
Date       Ticket   Description
---------- -------- -----------
2009-07-26 -------- A new recipe amber_oimerge has been written. It can be
	            used to merge OI-fits files of the following PRO CATG:
	            SCIENCE_REDUCED
	            SCIENCE_REDUCED_FILTERED
	            CALIB_REDUCED
	            CALIB_REDUCED_FILTERED
	            AMBER_TRF_J
	            AMBER_TRF_H
	            AMBER_TRF_K
	            SCIENCE_CALIBRATED
	
2009-07-22 -------- Bugfix: check for overlapping wavelength intervall of
	            the transfer function and science observation modified.

2009-07-18 -------- two valid classification tags are added to the
	            amber_SciCal recipe to identify the sky frames:
	            AMBER_SKY_CALIB and AMBER_SKY_SCIENCE

2009-07-18 -------- two valid classification tags are added to the
	            amber_SciCal recipe to identify the dark frames:
	            AMBER_DARK_CALIB and AMBER_DARK_SCIENCE

2009-06-11 -------- Dummy recipe parameters removed in amber_SciCal and
	            amber_p2vm

Release: amber-2.9.1
=========================================
Date       Ticket   Description
---------- -------- -----------

2009-06-02 -------- check for CPL_TYPE_COMPLEX added 

Release: amber-2.9.0
=========================================
Date       Ticket   Description
---------- -------- -----------

2009-05-28 DFS08889 check in the p2vm recipe if there is pb with the data:
		    a function amber_check_zeroframes() has been written
		    to check the number of zeroframes in the p2vm raw
		    files.  The number is then written as QC parameter to
		    the p2vm file: HIERARCH ESO QC ZEROFRAMES
2009-05-25 -------- Pipeline installation directory structure has been
		    changed in order to synchronize all ESO pipelines
	
Release: amber-2.8.0
=========================================
Date       Ticket   Description
---------- -------- -----------

2009-01-12 -------- amber_divider removed from the installation procedure
                    as it is only a template without any functionality

2009-01-11 DFS08182 new QC parameter mean SNR: new QC parameters were
                    added to the products depending on the type:

		    "ESO QC UNCALSNR BAS1"
		    "ESO QC UNCALSNR BAS2"
		    "ESO QC UNCALSNR BAS3"
		    or
		    "ESO QC CALSNR BAS1"
		    "ESO QC CALSNR BAS2"
		    "ESO QC CALSNR BAS3"
		    or
		    "ESO QC TRFSNR BAS1"
		    "ESO QC TRFSNR BAS2"
		    "ESO QC TRFSNR BAS3"
		    
		    These parameters give the mean signal to noise ratio
		    of the visibilities in the different baselines
	


Release: amber-2.7.0
=========================================
Date       Ticket   Description
---------- -------- -----------

2009-12-16 DFS08100 core dumped for amber_trf when no frames on the dfo machine
	            Fixed.


	
Release: amber-2.6.0
=========================================
Date       Ticket   Description
---------- -------- -----------

2009-11-30 DFS07420 AMBER transfer function monitoring:
	            Implemented and currently under evaluation
	
2009-11-30 DFS07421 super recipe for AMBER transfer function monitoring:	
                    Implemented and currently under evaluation

	
Release: amber-2.5.2
=========================================
Date       Ticket    Description
---------- --------  -----------

2009-06-10 DFS07075 Add Visibility, closure Phase QC parameters:
		    The following QC parameters are added to the
		    amber_SciCal and amber_selector recipe:

		    QC LAMBDA BIN1 CHAN  
		    QC LAMBDA BIN1 MAX   
		    QC LAMBDA BIN1 MIN   

		    QC LAMBDA BIN2 CHAN  
		    QC LAMBDA BIN2 MAX   
		    QC LAMBDA BIN2 MIN   

		    QC LAMBDA BIN3 CHAN  
		    QC LAMBDA BIN3 MAX   
		    QC LAMBDA BIN3 MIN   

		    QC LAMBDA CEN CHAN   
		    QC LAMBDA CEN MAX 	  
		    QC LAMBDA CEN MIN 	  

		    QC LAMBDA CHAN 	  
		    QC LAMBDA MAX 	  
		    QC LAMBDA MIN 	  

		    QC UNCALV2 BIN1 BAS1 
		    QC UNCALV2 BIN1 BAS2 
		    QC UNCALV2 BIN1 BAS3 

		    QC UNCALV2 BIN2 BAS1 
		    QC UNCALV2 BIN2 BAS2 
		    QC UNCALV2 BIN2 BAS3 

		    QC UNCALV2 BIN3 BAS1 
		    QC UNCALV2 BIN3 BAS2 
		    QC UNCALV2 BIN3 BAS3 

		    QC UNCALV2 CEN BAS1  
		    QC UNCALV2 CEN BAS2  
		    QC UNCALV2 CEN BAS3  

		    QC UNCALCP BIN1 	  
		    QC UNCALCP BIN2 	  
		    QC UNCALCP BIN3 	  
		    QC UNCALCP CEN 	  
		    
		    The wavelength is given in micron and the average of
		    the squared visibility (V2) and closure phase (CP) is
		    derived including the values at the wavelength
		    boundaries. 
		    
	
2009-03-30 -------- updated recipe amber_ascii_export (by Klara Shabun)
		    integrated into the amber pipeline 	

2009-03-26 -------- recipe amber_raw_to_fitsimage partially rewritten in
                    order to have an ESO compliant product header.

	
2009-03-20 DFS06737 Segmentation violation when running amber_SciCal with
                    many frames: The pipeline recipe amber_SciCal can now
	            handle up to 5000 science files in the SOF. If more
	            are given, a warning will be issued and only the
	            firsts 5000 files will be reduced.
	

Release: amber-2.5.1 
	
2009-02-04 -------- Flatfield and Bad Pixel Mask updated:
	            TPL START: 2008-09-14T20:06:51


	
Release: amber-2.5.0 
	
	
2008-11-10 -------- Pipeline has been upgraded from the amdlib version 2.0
                    to amdlib version 2.2
	

Release: amber-2.4.4 
	
	
2008-10-31 -------- Qfits dependency of the amber library has been removed

2008-10-31 -------- The pipeline is now linking to the installed cfitsio
                    library. The cfitsio directory has been removed from
	            the amberp cvs repository

2008-07-14 -------- Midas/shell script					     
		    amber_OI_FITS_plot_closurephase.prg/sh added. This
		    midas program plots the closure phase of the
		    amber_SciCal product. Moreover the OPD scaling in the
		    amber_OI_FITS_plot.prg program has been changed form
		    OPD=OPD*1e-3 to OPD=OPD*1e3

	
Release: amber-2.4.4 


2008-05-29 DFS05479 amber selector: All the following methods of the
                    amber_selector recipe can now be used to perform a
	            frame selection:

                    "First x Frames";
                    "Fringe SNR > x";
                    "Fringe SNR percentage x";
                    "Flux > x";
                    "Flux percentage x";
                    "Exclude Frames by ASCII File";
                    "Include Frames by ASCII File";
                    "IO-Test: no filtering";
                    "Absolute piston value < x";
                    "Absolute piston value percentage x"

		    After selecting a method one can set a selection
	            criteria for every baseline by defining the variables
	            X1, X2, and X3. If only one baseline is available, X2
	            and X3 can be neglected. Moreover one can choose the
	            combining method of the single criteria by setting the
	            Boolean variable ANDselection.
		    
		    If ANDselection is not set (--ANDselection=FALSE), a
	            frame passes the filter if at least one of the
	            selection criteria (X1 || X2 || X3) is fulfilled.

                    If ANDselection is set (--ANDselection=TRUE), a frame
	            passes the filter only if ALL selection criteria (X1
	            && X2 && X3) are fulfilled.

                    Please note, that for three baselines in both cases
	            the visibility triplet is written to the product file!
	            See the pipeline manual for more details
	
2008-05-19 -------- The selection method "Fringe SNR percentage x"  has
                    been implemented for the amber_selector recipe.  For
	            three baselines it first creates a vector containing
	            the MAX(SNR_base1,SNR_base2,SNR_base3), then it sorts
	            this vector and includes the X (in percentage) best
	            frames to the product.

2008-05-16 -------- The recipe amber_selector has been partially rewritten
	            and updated, as the previous version never saved the
	            selected frames, but always the first XXX
	            frames. Moreover the recipe output was adapted to the
	            naming convention of the new amdlib cmm version
	            2.29. At the moment it is enough that the signal to
	            noise ratio of the fringes of only one base is above
	            the threshold in order to save all bases of that
	            frame.

	
Release: amber-2.4.3:
	
2008-02-12 -------- New Bad pixel map and Flatfield derived by using:
   	            AMBER.2008-02-07T08:54:39.578.fits
	            ... AMBER.2008-02-07T10:08:43.896.fits
	

Release: amber-2.4.2:

2008-01-10 --------  The Midas plotting program amber_OI_FITS_plot.prg has 
                     been adapted to the output of the new amdlib version 2.29 
2008-01-09 --------  QC parameters for all three baselines XX added to ESO-DFS-DIC.AMBER_QC: 
	             QC.P2VM.J.VISXX
                     QC.P2VM.J.ERRVISXX
                     QC.P2VM.H.VISXX
                     QC.P2VM.H.ERRVISXX
                     QC.P2VM.K.VISXX
                     QC.P2VM.K.ERRVISXX
 	
2007-12-11 --------  New amdlib cmm version 2.29 integrated: cmm version 2.24 -> cmm version 2.29

	
2007-12-11 --------  New amber_ascii_export provided by Klara Shabun  




Version 2.4.1	

	
2007-10-24 --------  update of the BadPixelMap.fits, FlatFieldMap.fits as
                     well as the amber.oca rule file to support the new
                     detector 247  
2007-10-03 DFS04538  modify amber_detector recipe to support the new
                     detector 247: amber_detector recipe adapted to the
                     new detector
2007-10-03 --------  amber_raw_to_fitsimage can now handle also detector
                     calibration files
	


	
Version 2.4.0  - 2007/09/13

 *        Bugfix in the Makefile.am to include qfits 

Version 2.3.9  - 2007/08/15

DFS04041: manual for amber_selector recipe:
	  The methods not yet implemented are now makred as "(in
	  preparation)" if "esorex --man-page amber_selector" is called.

	
Version 2.3.8  - 2007/08/02
 *        Various recipes updated in order to be compatible with cpl v4.0:
	  -- CPL_PIXEL_MINVAL replaced by -(DBL_MAX)
	  -- CPL_BPP_IEEE_DEFAULT replaced with CPL_BPP_IEEE_FLOAT
          -- cpl_propertylist_to_fits replaced by cpl_image_save
 *        esorex man-page for selMethod3, selMethod4, and selMethod5 of amber_selector updated	
 *        Bugfix for cpl_frame_set_group in amber_p2vm
 * 	  cpl_frame_set_group set to CPL_FRAME_GROUP_CALIB in the
          amber_selector recipe
	
Version 2.3.7  - 2007/05/04

 *        The PRO CATG has been modified in amber_detector.c: 
          DETECTOR_FFM_REDUCED -> AMBER_FLATFIELD 
          DETECTOR_BPM_REDUCED -> AMBER_BADPIX

	
DFS03542: A 2D Gaussian fit (based on cpl_image_iqe()) was added to
          the beampos recipe and the peak flux of the Gaussian was put
          into the QC and logs for all 22 resulting files. Name:
          PEAKFLUX

DFS03152: Pipeline version number added or/and homogenized for the
          following recipes: amber_BeamPos, amber_SciCal,
          amber_detector, amber_p2vm, and amber_selector.c

	
Version 2.3.6  - 2007/03/13
 * AMBER.prefs for gasgano modified

Version 2.3.5  - 2007/03/09
	
* DFS03540: AMBER.prefs for gasgano created and added
* ESO-DFS-DIC.AMBER_QC updated
	
Version 2.3.4  - 2007/02/12
* Splitted files (J, H, K) have now the right output Tag.
  According to the input file: SCIENCE_REDUCED or CALIB_REDUCED 
	
Version 2.3.3  - 2007/02/12
	
* amber.bdd has been modified:
- In AMBER_3P2V, AMBER_3WAVE, AMBER_2P2V, and AMBER_2WAVE DPR_CATG has
   been modified:
   DPR_CATG=="CALIB" --> (DPR_CATG=="CALIB" || DPR_CATG=="SCIENCE")
- AMBER_COLPOS, AMBER_SEARCH, AMBER_FLUX, and AMBER_COHER have been added
* amber.oca has been created
* QC Parameters SHX and SHY added in the header for BeamPos files
* QC Parameters SHX and SHY added in ESO-DFS-DIC.AMBER_QC
* Including latest version of amber_ascii_export recipe by K. Shabun:
- it works now both in 2 and 3 telescope mode
- the output is located in the folder defined by the user
- in the 3 telescope mode it divides the data into 3 files, by baselines
- the names of the output files look like
  "/2006-12-31T03:43:18.3879_export1_J.txt/" and consist of the date
  and  time of the observation, according to the raw file name, then
  comes "_export" and the baseline number, and the bandpass
- in the 2 telescope mode only one output file is created
- The user may choose between two different output data formats
- the recipe can operate with several input files in the same time	


Version 2.3.2  - 16.01.07

* QC log fix for interface amber_p2vm.prg
* QC log for P2VM
* QC dictionary for BAND, STA1, STA2 and STA3 


Version 2.3.0  - 30.11.06

based on amdlib Version: 2.24 (amdlibP2VM.c and amdlibUtils.c modified) and CPL 3.0 
* amber-kit installation
* fixed bug: amber_beampos keywords with one HIERRACH too much
* fixed problem in amber_p2vm: core dump when only AMBER_WAVE files were given
* fixed bug in amber_p2vm when 4 WAVEs were sent in 3 telescope mode (spectral calibration not performed)


Version 2.2.0  - 08.11.06

based on amdlib Version: 2.24 (amdlibP2VM.c and amdlibUtils.c modified) and CPL 3.0 

* fixed header problem while writing/reading P2VM in pipline context
* fixed core dump in GASGANO with JNI for spectral calibration (amber_p2vm)


Version 2.1.0  - 06.11.06

based on amdlib Version: 2.20 (OIfits.c modified) and CPL 3.0 

* Kit-Installation-Version: amber-kit-2.1.0.tar.gz (including qfits, cpl, esorex, gasgano, amber manual)
* amber_BeamPos: Added QC-parameter for the angle of the beam (+/- 45 degrees) and fixed a bug in centroid computation 
* amber_detector: Added QC-parameter for number of bad pixels, good pixels and the ratio in percant of all pixels. 
* Detection of amdms error returns. Various bugfixes 
* new AMBER.rul to reflect changes in the DPR keywords
* new pipeline rules to reflect changes in the DPR keywords
* new QC dictionnary with QC parameters for amber_BeamPos and amber_detector
* updated MIDAS interface procedures to allow QC logging for amber_BeamPos and amber_detector


Version 2.0.9  - 14.10.2006

based on amdlib Version: Version: 2.20 (OIfits.c modified) and CPL 3.0 

* Bugfix for gcc 4.1.1 in amber_raw_to_fitsimage.c (warning became error)
* Kit-Installation-Version: amber-kit-2.0.9.tar.gz (including qfits, cpl, esorex, gasgano, amber manual)

Version 2.0.8  - 10.10.2006

based on amdlib Version: 2.20 (OIfits.c modified) and CPL 3.0 

* Kit-Installation-Version: amber-kit-2.0.8.tar.gz (including qfits, cpl, esorex, gasgano, amber manual)
* Recipe amber_BeamPosition to monitor beam alignment, algorithm for centroids, size and flux included
* Implementation of algorithms for amber_detector based on library of MPI Bonn (as a first draft version, not supporting 
  all parameters used by MPI Bonn yet)
* New AMBER.rul for classification of DETECTOR and BEAMPOS files
* correct version string of AMBER pipeline now in PRO.REC1.PIPE.ID
* amber_p2vm  adopted to new amdlib (spectral calibration)
* amber_SciCal adopted to new amdlib
* Implementation of algorithms for amber_selector (exclude/include frames by ASCII file, fringe SNR > x, first x frames )
* correct version string of AMBER pipeline now in PRO.REC1.PIPE.ID
* includes a specific - non general, not supported - recipe amber_ascii_export as an example for exporting OI data to ASCII files


Version 2.0.7  - 13.09.2006

based on amdlib Version: 2.10 (modified) and CPL 3.0 (it is possible to set a switch to compile for CPL 2.1.2)

* New recipe amber_BeamPosition to monitor beam alignment, without real algorithm for centroids
* fixed a missing header


Version 2.0.6  - 11.09.2006

based on amdlib Version: 2.10 (modified) and CPL 3.0 (it is possible to set a switch to compile for CPL 2.1.2)

* CPL 3.0 compliant


Version 2.0.5  - internal only

based on amdlib Version: 2.10 (modified) and CPL 2.1.2

* Renamed amber_display to amber_raw_to_fitsimage
* Script for GASGANO: amber_raw_to_fitsimage: calls recipe amber_raw_to_fitsimage with ESOREX and displays result in FV
* new recipe (interface only): amber_detector for master flatfield and bad pixel map
* first "real" algorithm for amber_selector implemented
* Updated online pipeline OI FITS plot to accept amdlib 2.10 output


Version 2.0.4  - 30.05.2006

based on amdlib Version: 2.10 (modified) and CPL 2.1.2

* bugfix: Not always taken the right raw file header for products (OBS.NAME)
* Spectral Calibration now compatible with latest amdlib (propagation of DET1.Px.OFFSETY values)
* New plotting routine to reflect the changes of amdlib (amber_gasgano_plot_2_10.prg)
* Added QC P1/P2/P3 OFFSETY to product header of amber_p2vm
* Added QC band description to product header of amber_SciCal
* Added QC station Index to product header of amber_SciCal
* Bugfix for product header of amber_SciCal
* Bugfix for product header of amber_p2vm
* read/filter/write for amber_selector in very first version

Version 2.0.3  - 16.05.2006

based on amdlib Version: 2.9 and CPL 2.0

* P2VM_REDUCED tag is now accepted as a legal P2VM classification for SciCal 
* (hopefully) fixed Spectral Calibration bug for some SKY files 
* recipes have successfully been tested within a Taverda workflow
* bugfix for crashes of P2VM for 2 telescopes in Taverda/GASGANO
* new recipe (interface only): amber_selector for selecting "good" frames by various methods
* new recipe (interface only): amber_divider for calculation of calibrated visibilities

* AMBER.rul: classification for SKY now consistent for SCIENCE and CALIB


Version 2.0.2 beta  -  

based on modified amdlib Version: 2.6 and CPL 2.0

* P2VM pipeline product: some keywords in header were doublicated 
* classification of latest AMBER files for GASGANO and DO


Version 2.0.1 beta  -  16.02.2006

based on modified amdlib Version: 2.6 and CPL 2.0

* working with GASGANO now
* integration of plots into GASGANO script directory


Version 2.0.0 beta  -  01.02.2006

based on amdlib Version: 2.3 and CPL 2.0

* compiled and linked amdlib along with CPL
* changing all recipes to the new needs of amdlib 2.x
* adjusted plots to new product format of amdlib 2.x
* download for plotting product on the offline ws is available
  

Version 1.0.3  -  08/12/2005

based on amdlib Version: paranal version of 1.08

* in some cases there were only 20 products registered for renaming, fixed 
* updated QC dictionnary
* proper handling of QC parameters with QC logwriter
* integrated QC plot changes from Paranal 08/2005
* For the sake of DFO tools the P2VM is now called the same in both
  cases, 2- and 3-telescopes
* Fixed memory leak for header creation 
* Fixed a runtime warning in amber_display recipe



Version 1.0.2  -  22/09/2005

based on amdlib Version: paranal version of 1.08

* bugfix for empty DPR.CATG keword in products
* added DFS header to P2VM product
* added /installed/bin/amber-setup.sh to distribution (needed by VLTI-pipeline)



Version 1.0.1  - 08/2005

based on amdlib Version: paranal version of 1.08

* adoptions to amdlib now splitting JHK bands
* create product for each band
* pipeline plot with better font and .ps file for each product



Version 1.0.0  - 07/2005

based on amdlib Version: 1.02

* first official version

---
